@import url('https://fonts.googleapis.com/css2?family=Muli&display=swap');

* {
  box-sizing: border-box;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  
  margin: 0;
  block-size: 100vh;

  font-family: 'Muli', sans-serif;
  overflow: hidden;
}

.container {
  display: flex;
  gap: 1.5rem;
  margin-inline: 1rem ;
  inline-size: 90vw;
}

.panel {
  position: relative;
  flex: 0.5;

  /* margin: 10px; */
  block-size: 80vh;
  border-radius: 3rem;

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: #fff;

  cursor: pointer;
  transition: flex .7s ease-in;
}

.panelTitle {
  position: absolute;
  bottom: 1.25rem;
  left: 1.25rem;
  margin: 0;
  
  font-size: 1.5rem;
  opacity: 0;
}

.panel.active {
  flex: 5;
}

.panel.active .panelTitle {
  opacity: 1;
  transition: opacity .3s ease-in .4s;
}


@media(max-width: 480px) {
  .container {
    inline-size: 100vw;
  }
  .panel:nth-of-type(4),
  .panel:nth-of-type(5){
    display: none;
  }

}